### 小程序人脸核身调用流程
1. 接入方调用人脸小程序sdk的初始化方法
2. 初始化成功后，调用 `faceCheckInit` 接口换取token和跳转地址

    | 参数名称 | 类型 | 传入/传出 | 是否必传 | 说明 |
    | -------- |--------|-------- |-------- | -------- | 
    | ruleId  | String | 传入 |是   |用于细分客户使用场景，由腾讯侧在线下对接时分配。|
    | idCard  | String | 传入 |否   |身份标识（未使用OCR服务时，必须传入）。|
    | name  | String |传入|否   |姓名。（未使用OCR服务时，必须传入）最长长度32位。|
    | redirectUrl| String |传入|否   |认证结束后重定向的回调链接地址。最长长度1024位。|
    | imageBase64  | DataItem |传入|否   |用于人脸比对的照片,（未使用OCR服务时，必须传入）图片的Base64值；Base64编码后的图片数据大小不超过3M，仅支持jpg、png格式。|
    | isSuccess  | boolean |传出|否   |是否初始化成功。|
    | errorMessage  | boolean |传出|否   |错误码。|
    | bizToken  | String |传出|否   |完成核身后，可用该标识获取验证结果信息。|
    | requestId  | String |传出|否   |流水号。|
    

3. 收到BizToken后，调起小程序sdk的人脸核验界面
4. 核验结束，核验界面关闭，调用 `faceCheckResultQuery` 接口换取核验结果。
 
    | 参数名称 |类型|传入/传出| 是否必传| 说明 |
    | -------- |--------|-------- |-------- |-------- | 
    | ruleId  | String | 传入 |是 |用于细分客户使用场景，由腾讯侧在线下对接时分配。|
    | OutIdCardData  | Int | 传入 |是 |0否1是，默认0，是否传出身份证图片。  |
    | bizToken  | String | 传入 |是 |人脸核身流程的标识。|   
    | isSuccess  | boolean |传出|否   |是否核验成功。|
    | errorMessage  | boolean |传出|否   |错误码。|
    | OcrIdCard  | String |传出|否   |Ocr返回的身份证。|
    | OcrName  | String |传出|否   |Ocr返回的姓名。|
    | OcrAddress  | String |传出|否   |Ocr返回的地址。|
    | OcrBirth  | String |传出|否   |Ocr返回的生日。|
    | IdCardData  | String |传出|否   |身份证照片信息。|
    | requestId  | String |传出|否   |流水号。|
 
### 时序图

![时序图](https://assets.processon.com/chart_image/5ff5770c7621315d0d08aea6.png)